| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros | Functions
RNDISClassHost.c File Reference
`#include "../../Core/USBMode.h"`
`#include "RNDISClassHost.h"`

Go to the source code of this file.

## Macros
#define | ContiguousBufferLength 1024

## Functions
uint8_t | RNDIS_Host_ConfigurePipes (USB_ClassInfo_RNDIS_Host_t *const RNDISInterfaceInfo, uint16_t ConfigDescriptorSize, void *ConfigDescriptorData)
| Host interface configuration routine, to configure a given RNDIS host interface instance using the Configuration Descriptor read from an attached USB device. This function automatically updates the given RNDIS Host instance's state values and configures the pipes required to communicate with the interface if it is found within the device. This should be called once after the stack has enumerated the attached device, while the host state machine is in the Addressed state.
static uint8_t | DCOMP_RNDIS_Host_NextRNDISControlInterface (void *const CurrentDescriptor)
static uint8_t | DCOMP_RNDIS_Host_NextRNDISDataInterface (void *const CurrentDescriptor)
static uint8_t | DCOMP_RNDIS_Host_NextRNDISInterfaceEndpoint (void *const CurrentDescriptor)
static uint8_t | RNDIS_SendEncapsulatedCommand (USB_ClassInfo_RNDIS_Host_t *const RNDISInterfaceInfo, void *Buffer, const uint16_t Length)
static uint8_t | RNDIS_GetEncapsulatedResponse (USB_ClassInfo_RNDIS_Host_t *const RNDISInterfaceInfo, void *Buffer, const uint16_t Length)
uint8_t | RNDIS_Host_SendKeepAlive (USB_ClassInfo_RNDIS_Host_t *const RNDISInterfaceInfo)
| Sends a RNDIS KEEPALIVE command to the device, to ensure that it does not enter standby mode after periods of long inactivity.
uint8_t | RNDIS_Host_InitializeDevice (USB_ClassInfo_RNDIS_Host_t *const RNDISInterfaceInfo)
| Initializes the attached RNDIS device's RNDIS interface. This should be called after the device's pipes have been configured via the call to RNDIS_Host_ConfigurePipes().
uint8_t | RNDIS_Host_SetRNDISProperty (USB_ClassInfo_RNDIS_Host_t *const RNDISInterfaceInfo, const uint32_t Oid, void *Buffer, const uint16_t Length)
| Sets a given RNDIS property of an attached RNDIS device.
uint8_t | RNDIS_Host_QueryRNDISProperty (USB_ClassInfo_RNDIS_Host_t *const RNDISInterfaceInfo, const uint32_t Oid, void *Buffer, const uint16_t MaxLength)
| Gets a given RNDIS property of an attached RNDIS device.
bool | RNDIS_Host_IsPacketReceived (USB_ClassInfo_RNDIS_Host_t *const RNDISInterfaceInfo)
| Determines if a packet is currently waiting for the host to read in and process.
uint8_t | RNDIS_Host_ReadPacket (USB_ClassInfo_RNDIS_Host_t *const RNDISInterfaceInfo, void *Buffer, uint16_t *const PacketLength)
| Retrieves the next pending packet from the device, discarding the remainder of the RNDIS packet header to leave only the packet contents for processing by the host in the nominated buffer.
uint8_t | RNDIS_Host_SendPacket (USB_ClassInfo_RNDIS_Host_t *const RNDISInterfaceInfo, void *Buffer, const uint16_t PacketLength)
| Sends the given packet to the attached RNDIS device, after adding a RNDIS packet message header.

## Macro Definition Documentation

#define ContiguousBufferLength 1024

## Function Documentation

static uint8_t DCOMP_RNDIS_Host_NextRNDISControlInterface | ( | void *const | CurrentDescriptor | ) |
| static

Definition at line 171 of file RNDISClassHost.c.

static uint8_t DCOMP_RNDIS_Host_NextRNDISDataInterface | ( | void *const | CurrentDescriptor | ) |
| static

Definition at line 190 of file RNDISClassHost.c.

static uint8_t DCOMP_RNDIS_Host_NextRNDISInterfaceEndpoint | ( | void *const | CurrentDescriptor | ) |
| static

Definition at line 210 of file RNDISClassHost.c.

static uint8_t RNDIS_GetEncapsulatedResponse | ( | USB_ClassInfo_RNDIS_Host_t *const | RNDISInterfaceInfo,
|  | void * | Buffer,
|  | const uint16_t | Length
| ) |  |
| static

Definition at line 253 of file RNDISClassHost.c.

static uint8_t RNDIS_SendEncapsulatedCommand | ( | USB_ClassInfo_RNDIS_Host_t *const | RNDISInterfaceInfo,
|  | void * | Buffer,
|  | const uint16_t | Length
| ) |  |
| static

Definition at line 234 of file RNDISClassHost.c.